#include <iostream>
#include <string>

using namespace std;

int zbir(int n)
{
    int zbir = 0;
    for (int i=1; i <= n; i++){
        zbir += i;
    }
    return zbir;
}


int main()
{
    int T;
    cin >> T;
    string odgovori[T] = {};

    for (int I=0; I<T; I++){
        int n, m, k;
        cin >> n >> m >> k;

        if (n % k == 0){

            int ljudi_po_grupi = n / k;
            int potreban_broj_bananica = k * zbir(ljudi_po_grupi);
            if (potreban_broj_bananica <= m){
                odgovori[I] = "Tak";
            }else{
                odgovori[I] = "Nie";
            }

        }else{

            int potreban_broj_bananica = 0;
            int ljudi_po_grupi = n / k;
            int broj_povecanih_grupa = n % k;

            potreban_broj_bananica += zbir(ljudi_po_grupi + 1) * broj_povecanih_grupa;
            potreban_broj_bananica += zbir(ljudi_po_grupi) * (k - broj_povecanih_grupa);

            if (potreban_broj_bananica <= m){
                odgovori[I] = "Tak";
            }else{
                odgovori[I] = "Nie";
            }
        }


    }

    for (int I=0; I<T-1; I++){
        cout << odgovori[I] << "\n";
    }
    cout << odgovori[T-1];

    return 0;
}